<html xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui"
        xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
        xmlns:pm="http://primefaces.org/mobile">
<f:view renderKitId="PRIMEFACES_MOBILE" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<h:head>
        <title>Sistemas Citricos</title> 
    <style type="text/css"> 
        .ui-scrollpanel p {
            width: 500px;
            font-size: 16px;
        }
    </style>
    <script>
        function back()
        {
            PrimeFaces.Mobile.navigate('#login',
            {
                    transition:'turn'
            });  
        }
    </script>
</h:head>
<h:body>
    <pm:page id="lista">
        <pm:header>
            Registros
        </pm:header>
        <pm:content>
            <h:form id="indexF">
                <p:panel style="height:300px">
                    <p:messages id="mensaje" showDetail="true" autoUpdate="true" />
                    <p:growl id="growl" showDetail="true" sticky="true"></p:growl>
                    <p:scrollPanel mode="native">
                        <p:dataList id="datalist" value="#{corridaMB.activos}"
                                    var="registros" pt:data-filter="true"
                                    pt:data-filter-placeholder="Búsqueda por filtro" style="width:90%;height:100%" >
                            <p:commandLink action="#{corridaMB.seleccionEditar(registros)}" update=":registroEditar:indexFormE" >
                                <f:setPropertyActionListener
                                value="#{registros}" target="#{corridaMB.activoEditar}" />   
                                <f:param name="id" value="#{registros.id}"/>
                                <h:panelGroup>
                                    <h:outputText value="#{registros.id} - #{registros.codigo} -  #{registros.folio} /  #{registros.productor}"/>
                                </h:panelGroup>
                            </p:commandLink>
                        </p:dataList>
                    </p:scrollPanel>
                </p:panel>
            </h:form>
        </pm:content>
    </pm:page>
    <pm:page id="registroEditar">
        <pm:content>
            <h:form id="indexFormE">
                <p:panel id="regNuevoE" header="Nuevo LOGIN:#{sessionMB.usuariomovil.nombre} #{sessionMB.usuariomovil.apellidos} [#{sessionMB.usuariomovil.login}]"> 
                    <h:panelGrid columns="1" style="width: 100%">
                        <p:panel header="Encabezado"> 
                            <h:panelGrid columns="4" id="p1" style="width: 100%">
                                <p:outputLabel for="Productor" value="Productor:"  style="font-weight: bold"/>
                                <p:inputText   id="Productor" value="#{corridaMB.activoEditar.productor	}" readonly="true"  />
                                <p:outputLabel for="Folio" value="Folio:"  style="font-weight: bold"/>
                                <p:inputText   id="Folio" value="[#{corridaMB.activoEditar.id}] #{corridaMB.activoEditar.folio}" readonly="true" />

                                <p:outputLabel for="Comprador" value="Comprador:"  style="font-weight: bold"/>
                                <p:inputText   id="Comprador" value="#{corridaMB.activoEditar.comprador}" />
                                <p:outputLabel for="Codigo" value="Código:"  style="font-weight: bold"/>
                                <p:inputText   id="Codigo" value="#{corridaMB.activoEditar.codigo}" readonly="true" />
                                
                                <p:outputLabel for="Facturar" value="Facturar:"  style="font-weight: bold"/>
                                <p:inputText   id="Facturar" value="#{corridaMB.activoEditar.facturar}" />
                                <p:outputLabel/>
                                <p:column colspan="1">
                                    <h:panelGrid columns="2" style="width: 100%">
                                        <p:inputText   value="#{corridaMB.activoEditar.idcorrida}" type="hidden" />
                                        <p:inputText   value="#{corridaMB.activoEditar.id}" type="hidden" /> 
                                    </h:panelGrid>
                                </p:column>

                                

                                <p:outputLabel for="Agronomo" value="Agrónomo"  style="font-weight: bold"/>
                                <p:inputText   id="Agronomo" value="#{corridaMB.activoEditar.agronomo}"  />

                                <p:outputLabel for="Tipo" value="Tipo:"  style="font-weight: bold"/>
                                <p:selectOneMenu id="Tipo" value="#{corridaMB.activoEditar.tipo}">
                                    <f:selectItem itemLabel="Revuelto" itemValue="Revuelto" />
                                    <f:selectItem itemLabel="Empaque" itemValue="Empaque" />
                                </p:selectOneMenu>
                                <p:outputLabel value=""  style="font-weight: bold"/>
                            </h:panelGrid>
                            <h:panelGrid columns="3" id="p100" style="width: 100%">
                                <p:commandButton value="Cambiar Estatus" ajax="false" icon="ui-icon-contact" action="#{
                                                                corridaMB.guardarCorrida(
                                                                corridaMB.activoEditar.idcorrida,
                                                                corridaMB.activoEditar.id,
                                                                corridaMB.activoEditar.comprador,
                                                                corridaMB.activoEditar.facturar,
                                                                corridaMB.activoEditar.tipo,
                                                                corridaMB.activoEditar.verde_japon,
                                                                corridaMB.activoEditar.verde_110,
                                                                corridaMB.activoEditar.verde_150,
                                                                corridaMB.activoEditar.verde_175,
                                                                corridaMB.activoEditar.verde_200,
                                                                corridaMB.activoEditar.verde_230,
                                                                corridaMB.activoEditar.verde_250,
                                                                corridaMB.activoEditar.empaque_110,
                                                                corridaMB.activoEditar.empaque_150,
                                                                corridaMB.activoEditar.empaque_175,
                                                                corridaMB.activoEditar.empaque_200,
                                                                corridaMB.activoEditar.empaque_230,
                                                                corridaMB.activoEditar.empaque_250,
                                                                corridaMB.activoEditar.sig_segundas,
                                                                corridaMB.activoEditar.sig_terceras,
                                                                corridaMB.activoEditar.sig_torreon,
                                                                corridaMB.activoEditar.sig_coleada,9)}" update=":lista:indexF"/>
                                <p:commandButton value="Guardar" ajax="false" icon="ui-icon-contact" action="#{
                                                                corridaMB.guardarCorrida(
                                                                corridaMB.activoEditar.idcorrida,
                                                                corridaMB.activoEditar.id,
                                                                corridaMB.activoEditar.comprador,
                                                                corridaMB.activoEditar.facturar,
                                                                corridaMB.activoEditar.tipo,
                                                                corridaMB.activoEditar.verde_japon,
                                                                corridaMB.activoEditar.verde_110,
                                                                corridaMB.activoEditar.verde_150,
                                                                corridaMB.activoEditar.verde_175,
                                                                corridaMB.activoEditar.verde_200,
                                                                corridaMB.activoEditar.verde_230,
                                                                corridaMB.activoEditar.verde_250,
                                                                corridaMB.activoEditar.empaque_110,
                                                                corridaMB.activoEditar.empaque_150,
                                                                corridaMB.activoEditar.empaque_175,
                                                                corridaMB.activoEditar.empaque_200,
                                                                corridaMB.activoEditar.empaque_230,
                                                                corridaMB.activoEditar.empaque_250,
                                                                corridaMB.activoEditar.sig_segundas,
                                                                corridaMB.activoEditar.sig_terceras,
                                                                corridaMB.activoEditar.sig_torreon,
                                                                corridaMB.activoEditar.sig_coleada,1)}" update=":lista:indexF"/>
                                <p:commandButton value="Cancelar" ajax="false" icon="ui-icon-contact" action="#{corridaMB.cancelar()}" update=":lista:indexF"/>
                            </h:panelGrid>
                            <p:panel id="regEdicion11" header="Verdes">
                                <h:panelGrid columns="2" style="width: 100%"  border="1">
                                    <p:outputLabel value="Calibre" style="font-weight: bold;width: 30%"/>
                                    <p:outputLabel value="Cantidad" style="font-weight: bold;width: 70%"/>
                                    <p:outputLabel for="v1" value="Japon"  style="font-weight: bold"/>
                                    <p:inputNumber id="v1" value="#{corridaMB.activoEditar.verde_japon}"  />
                                    <p:outputLabel for="v2" value="110"  style="font-weight: bold"/>
                                    <p:inputNumber id="v2" value="#{corridaMB.activoEditar.verde_110}"   />
                                    <p:outputLabel for="v3" value="150"  style="font-weight: bold"/>
                                    <p:inputNumber id="v3" value="#{corridaMB.activoEditar.verde_150}"   />
                                    <p:outputLabel for="v4" value="175"  style="font-weight: bold"/>
                                    <p:inputNumber id="v4" value="#{corridaMB.activoEditar.verde_175}"  />
                                    <p:outputLabel for="v5" value="200"  style="font-weight: bold"/>
                                    <p:inputNumber id="v5" value="#{corridaMB.activoEditar.verde_200}" />
                                    <p:outputLabel for="v6" value="230"  style="font-weight: bold"/>
                                    <p:inputNumber id="v6" value="#{corridaMB.activoEditar.verde_230}" />
                                    <p:outputLabel for="v7" value="250"  style="font-weight: bold"/>
                                    <p:inputNumber id="v7" value="#{corridaMB.activoEditar.verde_250}" />
                                    <p:commandButton value="Guardar" ajax="false" icon="ui-icon-contact" action="#{
                                                                    corridaMB.guardarCorrida(
                                                                    corridaMB.activoEditar.idcorrida,
                                                                    corridaMB.activoEditar.id,
                                                                    corridaMB.activoEditar.comprador,
                                                                    corridaMB.activoEditar.facturar,
                                                                    corridaMB.activoEditar.tipo,
                                                                    corridaMB.activoEditar.verde_japon,
                                                                    corridaMB.activoEditar.verde_110,
                                                                    corridaMB.activoEditar.verde_150,
                                                                    corridaMB.activoEditar.verde_175,
                                                                    corridaMB.activoEditar.verde_200,
                                                                    corridaMB.activoEditar.verde_230,
                                                                    corridaMB.activoEditar.verde_250,
                                                                    corridaMB.activoEditar.empaque_110,
                                                                    corridaMB.activoEditar.empaque_150,
                                                                    corridaMB.activoEditar.empaque_175,
                                                                    corridaMB.activoEditar.empaque_200,
                                                                    corridaMB.activoEditar.empaque_230,
                                                                    corridaMB.activoEditar.empaque_250,
                                                                    corridaMB.activoEditar.sig_segundas,
                                                                    corridaMB.activoEditar.sig_terceras,
                                                                    corridaMB.activoEditar.sig_torreon,
                                                                    corridaMB.activoEditar.sig_coleada,2)}" update=":lista:indexF"/>
                                    <p:column colspan="1">
                                        <h:panelGrid columns="2" style="width: 100%">
                                            <p:commandButton value="Imprimir" ajax="false" icon="ui-icon-contact" action="#{corridaMB.imprimir(corridaMB.activoEditar.idcorrida,corridaMB.activoEditar.id)}" update=":lista:indexF"/>
                                            <p:commandButton value="Cancelar" ajax="false" icon="ui-icon-contact" action="#{corridaMB.cancelar()}" update=":lista:indexF"/>
                                        </h:panelGrid>
                                    </p:column>
                                </h:panelGrid>
                            </p:panel>
                            <p:panel id="regEdicion22" header="Empaques"> 
                                <h:panelGrid columns="2"  style="width: 100%"  border="1">
                                    <p:outputLabel value="Calibre" style="font-weight: bold;width: 30%"/>
                                    <p:outputLabel value="Cantidad" style="font-weight: bold;width: 70%"/>
                                    <p:outputLabel for="qe2" value="110"  style="font-weight: bold"/>
                                    <p:inputNumber id ="qe2" value="#{corridaMB.activoEditar.empaque_110}" />
                                    <p:outputLabel for="qe3" value="150"  style="font-weight: bold"/>
                                    <p:inputNumber id ="qe3" value="#{corridaMB.activoEditar.empaque_150}"/>
                                    <p:outputLabel for="qe4" value="175"  style="font-weight: bold"/>
                                    <p:inputNumber id ="qe4" value="#{corridaMB.activoEditar.empaque_175}"  />
                                    <p:outputLabel for="qe5" value="200"  style="font-weight: bold"/>
                                    <p:inputNumber id ="qe5" value="#{corridaMB.activoEditar.empaque_200}" />
                                    <p:outputLabel for="qe6" value="230"  style="font-weight: bold"/>
                                    <p:inputNumber id ="qe6" value="#{corridaMB.activoEditar.empaque_230}" />
                                    <p:outputLabel for="qe7" value="250"  style="font-weight: bold"/>
                                    <p:inputNumber id ="qe7" value="#{corridaMB.activoEditar.empaque_250}" />
                                    <p:commandButton value="Guardar" ajax="false" icon="ui-icon-contact" action="#{
                                                     corridaMB.guardarCorrida(
                                                                    corridaMB.activoEditar.idcorrida,
                                                                    corridaMB.activoEditar.id,
                                                                    corridaMB.activoEditar.comprador,
                                                                    corridaMB.activoEditar.facturar,
                                                                    corridaMB.activoEditar.tipo,
                                                                    corridaMB.activoEditar.verde_japon,
                                                                    corridaMB.activoEditar.verde_110,
                                                                    corridaMB.activoEditar.verde_150,
                                                                    corridaMB.activoEditar.verde_175,
                                                                    corridaMB.activoEditar.verde_200,
                                                                    corridaMB.activoEditar.verde_230,
                                                                    corridaMB.activoEditar.verde_250,
                                                                    corridaMB.activoEditar.empaque_110,
                                                                    corridaMB.activoEditar.empaque_150,
                                                                    corridaMB.activoEditar.empaque_175,
                                                                    corridaMB.activoEditar.empaque_200,
                                                                    corridaMB.activoEditar.empaque_230,
                                                                    corridaMB.activoEditar.empaque_250,
                                                                    corridaMB.activoEditar.sig_segundas,
                                                                    corridaMB.activoEditar.sig_terceras,
                                                                    corridaMB.activoEditar.sig_torreon,
                                                                    corridaMB.activoEditar.sig_coleada,3)}" update=":lista:indexF"/>
                                    <p:column colspan="1">
                                        <h:panelGrid columns="2" style="width: 100%">
                                            <p:commandButton value="Imprimir" ajax="false" icon="ui-icon-contact" action="#{corridaMB.imprimir(corridaMB.activoEditar.idcorrida,corridaMB.activoEditar.id)}" update=":lista:indexF"/>
                                            <p:commandButton value="Cancelar" ajax="false" icon="ui-icon-contact" action="#{corridaMB.cancelar()}" update=":lista:indexF"/>
                                        </h:panelGrid>
                                    </p:column>
                                </h:panelGrid>
                            </p:panel>
                            <p:panel id="regEdicion33" header="Desechos">
                                <h:panelGrid columns="2"  style="width: 100%"  border="1">
                                    <p:outputLabel value="Calibre" style="font-weight: bold;width: 30%"/>
                                    <p:outputLabel value="Cantidad" style="font-weight: bold;width: 70%"/>
                                    <p:outputLabel for="sd2" value="Segundas"  style="font-weight: bold"/>
                                    <p:inputNumber id ="sd2" value="#{corridaMB.activoEditar.sig_segundas}"/>
                                    <p:outputLabel for="sd3" value="Terceras"  style="font-weight: bold"/>
                                    <p:inputNumber id ="sd3" value="#{corridaMB.activoEditar.sig_terceras}"/>
                                    <p:outputLabel for="sd4" value="Torreon"  style="font-weight: bold"/>
                                    <p:inputNumber id ="sd4" value="#{corridaMB.activoEditar.sig_torreon}"  />
                                    <p:outputLabel for="sd5" value="Coleada"  style="font-weight: bold"/>
                                    <p:inputNumber id ="sd5" value="#{corridaMB.activoEditar.sig_coleada}"/>
                                    <p:commandButton value="Guardar" ajax="false" icon="ui-icon-contact" action="#{
                                                     corridaMB.guardarCorrida(
                                                                    corridaMB.activoEditar.idcorrida,
                                                                    corridaMB.activoEditar.id,
                                                                    corridaMB.activoEditar.comprador,
                                                                    corridaMB.activoEditar.facturar,
                                                                    corridaMB.activoEditar.tipo,
                                                                    corridaMB.activoEditar.verde_japon,
                                                                    corridaMB.activoEditar.verde_110,
                                                                    corridaMB.activoEditar.verde_150,
                                                                    corridaMB.activoEditar.verde_175,
                                                                    corridaMB.activoEditar.verde_200,
                                                                    corridaMB.activoEditar.verde_230,
                                                                    corridaMB.activoEditar.verde_250,
                                                                    corridaMB.activoEditar.empaque_110,
                                                                    corridaMB.activoEditar.empaque_150,
                                                                    corridaMB.activoEditar.empaque_175,
                                                                    corridaMB.activoEditar.empaque_200,
                                                                    corridaMB.activoEditar.empaque_230,
                                                                    corridaMB.activoEditar.empaque_250,
                                                                    corridaMB.activoEditar.sig_segundas,
                                                                    corridaMB.activoEditar.sig_terceras,
                                                                    corridaMB.activoEditar.sig_torreon,
                                                                    corridaMB.activoEditar.sig_coleada,4)}" update=":lista:indexF"/>
                                    <p:column colspan="1">
                                        <h:panelGrid columns="2" style="width: 100%">
                                            <p:commandButton value="Imprimir" ajax="false" icon="ui-icon-contact" action="#{corridaMB.imprimir(corridaMB.activoEditar.idcorrida,corridaMB.activoEditar.id)}" update=":lista:indexF"/>
                                            <p:commandButton value="Cancelar" ajax="false" icon="ui-icon-contact" action="#{corridaMB.cancelar()}" update=":lista:indexF"/>
                                        </h:panelGrid>
                                    </p:column>
                                </h:panelGrid>
                            </p:panel>
                        </p:panel>
                    </h:panelGrid>
                </p:panel>
            </h:form>
        </pm:content>
    </pm:page>
</h:body>
</html>